curl --location
--request POST 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"phoneNumber": "5216642761707"
}'
{
"verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
}
Account
Resend account verification code
Resends the otp code to confirm the account
POST
/
account
/
{userId}
/
verification
/
{verificationId}
curl --location
--request POST 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"phoneNumber": "5216642761707"
}'
{
"verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
}
curl --location
--request POST 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"phoneNumber": "5216642761707"
}'
{
"verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
}
Path parameters
string
required
Propaga’s user id
string
required
Verification id generated on the creation of the account verification
Body
string
required
Response
string
string
string
string
Response
string
Error codes
Verification not found (404)
{
"code": "VERIFICATION_NOT_FOUND",
"message": "This verification not found"
}
Verification not valid (422)
{
"code": "VERIFICATION_NOT_VALID",
"message": "This verification is not valid"
}
User already verified (422)
{
"code": "USER_IS_VERIFIED",
"message": "This user is verified"
}
User in internal verification (422)
{
"code": "USER_IN_MANUAL_VALIDATION",
"message": "This user information is currently in manual validation"
}
Was this page helpful?

